## NAME

v.perturb - Random location perturbations of GRASS sites.

## SYNOPSIS

v.perturb
v.perturb help
v.perturb [-q] input=string output=string [distribution=string] parameters=float[,float,...]

### Flags:

-q
  Quiet

### Parameters:

input=string
  vector points to be perturbed
output=string
  vector to save output
distribution=string
  Distribution of perturbation
  Options: uniform,normal
  Default: uniform
parameters=float[,float,...]
  Parameter(s) of distribution. If the distribution is uniform, only one parameter, the maximum, is needed. For a normal distribution, two parameters, the mean and standard deviation, are required.

## DESCRIPTION

s.perturb reads a vector map of points and writes the same points but perturbs the eastings and northings by adding either a uniform or normal delta value. Perturbation means that a variating spatial deviation is added to the coordinates.

## NOTES

The uniform distribution is always centered about zero. The associated parameter is constrained to be positive and specifies the maximum of the distribution; the minimum is the negation of that parameter.

Usually, the mean (first parameter) of the normal distribution is zero (i.e., the distribution is centered at zero). The standard deviation (second parameter) is naturally constrained to be positive.

Output sites are not guaranteed to be contained within the current geographic region.

## SEE ALSO

v.random
v.univar

## AUTHOR

James Darrell McCauley <darrell@mccauley-usa.com>,
when he was at: Agricultural Engineering Purdue University

Random number generators originally written in FORTRAN by Wes Peterson and translated to C using f2c

Last changed: $Date: 2004/10/16 10:26:48 $

Help Index